FUDforum
Fast Uncompromising Discussions. FUDforum will get your users talking.

Home » FUDforum » FUDforum Installation Issues » Unable to Upgrade due to broken broken admin panel
Show: Today's Messages :: Unread Messages :: Show Polls :: Message Navigator
| Subscribe to topic | Bookmark topic 
Switch to threaded view of this topic Create a new topic Submit Reply
Unable to Upgrade due to broken broken admin panel [message #166729] Fri, 17 February 2012 00:29 Go to next message
pips is currently offline  pips   Ireland
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
Hello all Cool

I'm currently in the process of trying to repair our forum. I am completely new to Web/Forum amanagement but i'm giving it a go and have figured bits and bobs out as i go along.

The main issue we have is that the settings as per the "Global Settings Manager" only updates one, of the two Globals.php files (The one in the /adm drive)
To have the settings in the GSM work on the forum, i have to copy the Globals.PHP file from the /adm drive to the (root?) drive where the other Globals.php is stored. Only then do the settings come into play.

I have looked for what should be the correct file structure but have come up on a blank. I have a feeling that the original instalation of the forum is a little twisted with redundant drives/folders etc but i can't find any documentation on the fudforum drive structure where i can back this up.

To fix all this, it has been suggested that i run the Upgrade.php script. I have tried to do this but have hit a brick wall with where to put it (location of the web root directory)
I've put it in the lowest level i can navigate to via the admin panel:

Quote:
File Administration System
Currently browsing: /vhosts/nomad-forum.com/httpdocs/fudforum
and that wouldn't run because it was not a web-accessable directory Confused

I managed to get the Host/server log-in and tried to put it into the root directory as per the Wiki page:
Quote:
http://www.nomad-forum.com/


But the host site told me that the _Archive file was not a loadable file

I looked for the Web root directory:

Quote:
$WWW_ROOT = 'http://www.nomad-forum.com/fudforum/';


On the host server but it doesn't exist Confused

The forum seems to be stored at

'http://www.nomad-forum.com/HTTPDocs/fudforum/';



So, I'm lost here and need your help

I think the first port of call is to actually confirm where the forum is actually running from, what the web root directory actually is and validate that the location as per the GSM settings is correct, Then confirm exactly where the upgrade.php file and Archive should go on the host server (prior to running from the browser)



Can you nice people help me out here? (Respect and thanks to witcher btw for his encouragements)

I'd really like to get this sorted tbh.

Regards
Pips
Re: Unable to Upgrade due to broken broken admin panel [message #166730 is a reply to message #166729] Fri, 17 February 2012 00:47 Go to previous messageGo to next message
naudefj is currently offline  naudefj   South Africa
Messages: 3624
Registered: December 2004
Karma: 17
Senior Member
Administrator
Core Developer
remove from buddy list
ignore all messages by this user
Navigate to your forum's File Manager ACP. It will open in the Forum's WWW Root directory. Upload the files (upgrade.php & fudforum_archive).

Now, navigate to the ACP home screen by clicking on the FUDforum logo, note it will prompt you to run or delete the upgrade script. Click on the run link and follow the instructions.
Re: Unable to Upgrade due to broken broken admin panel [message #166733 is a reply to message #166730] Fri, 17 February 2012 01:28 Go to previous messageGo to next message
pips is currently offline  pips   Ireland
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
naudefj wrote on Fri, 17 February 2012 05:47
Navigate to your forum's File Manager ACP. It will open in the Forum's WWW Root directory. Upload the files (upgrade.php & fudforum_archive).

Now, navigate to the ACP home screen by clicking on the FUDforum logo, note it will prompt you to run or delete the upgrade script. Click on the run link and follow the instructions.


I've done that.

Note, the ACP and the logo point to this location:

vhosts/nomad-forum.com/httpdocs/fudforum/adm

Unlike the last time i tried this, your final part (the prompt) isnt happening Confused
The files ere in that drive, but they are not promting to be run.

Incidently, this (vhosts/nomad-forum.com/httpdocs/fudforum/adm)
is the location of the Globals.php file which IS changed by the GSM

But the Globals.php file the forum is running of is in

/vhosts/nomad-forum.com/httpdocs/fudforum


What is going on Confused
Re: Unable to Upgrade due to broken broken admin panel [message #166734 is a reply to message #166733] Fri, 17 February 2012 01:56 Go to previous messageGo to next message
pips is currently offline  pips   Ireland
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
Also:

If i put the Upgrade php files in /vhosts/nomad-forum.com/httpdocs/fudforum

I get the prompt, but an error message occours from the server (Files not found) when run


Confused
Re: Unable to Upgrade due to broken broken admin panel [message #166735 is a reply to message #166733] Fri, 17 February 2012 01:58 Go to previous messageGo to next message
naudefj is currently offline  naudefj   South Africa
Messages: 3624
Registered: December 2004
Karma: 17
Senior Member
Administrator
Core Developer
remove from buddy list
ignore all messages by this user
The WWW Root directory cannot end in '/adm'!!!

I assume you've manually edited your GLOBALS.php file(s). If so, restore them for a recent backup.
Re: Unable to Upgrade due to broken broken admin panel [message #166736 is a reply to message #166735] Fri, 17 February 2012 01:59 Go to previous messageGo to next message
naudefj is currently offline  naudefj   South Africa
Messages: 3624
Registered: December 2004
Karma: 17
Senior Member
Administrator
Core Developer
remove from buddy list
ignore all messages by this user
Mail me an admin userid/password if you want me to have a look.
Re: Unable to Upgrade due to broken broken admin panel [message #166737 is a reply to message #166736] Fri, 17 February 2012 02:05 Go to previous messageGo to next message
pips is currently offline  pips   Ireland
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
naudefj wrote on Fri, 17 February 2012 06:59
Mail me an admin userid/password if you want me to have a look.


Will do.
Re: Unable to Upgrade due to broken broken admin panel [message #166738 is a reply to message #166737] Fri, 17 February 2012 02:10 Go to previous messageGo to next message
pips is currently offline  pips   Ireland
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
pips wrote on Fri, 17 February 2012 07:05
naudefj wrote on Fri, 17 February 2012 06:59
Mail me an admin userid/password if you want me to have a look.


Done.


Re: Unable to Upgrade due to broken broken admin panel [message #166739 is a reply to message #166738] Fri, 17 February 2012 02:56 Go to previous messageGo to next message
naudefj is currently offline  naudefj   South Africa
Messages: 3624
Registered: December 2004
Karma: 17
Senior Member
Administrator
Core Developer
remove from buddy list
ignore all messages by this user
OK, I see when you go to http://???/fudforum/upgrade.php, you get:

Internal Server Error
The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator to inform of the time the error occurred and of anything you might have done that may have caused the error.

More information about this error may be available in the server error log.

Web Server at ???


This is not a FUDforum error, but a web server error. Check your web server's log file for details.
This may help: http://support.lunarpages.com/knowledge_bases/article/324
Re: Unable to Upgrade due to broken broken admin panel [message #166740 is a reply to message #166739] Fri, 17 February 2012 03:07 Go to previous messageGo to next message
pips is currently offline  pips   Ireland
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
Thanks for your help btw :adore:
I'll have a look at the above and e-mail the hosts.

Pips.
Re: Unable to Upgrade due to broken broken admin panel [message #166741 is a reply to message #166740] Fri, 17 February 2012 03:30 Go to previous messageGo to next message
pips is currently offline  pips   Ireland
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
Ok, the wizard run, and has completely changed the forum Laughing

But i can't access the admin panel?

Confused
Re: Unable to Upgrade due to broken broken admin panel [message #166742 is a reply to message #166741] Fri, 17 February 2012 03:31 Go to previous messageGo to next message
pips is currently offline  pips   Ireland
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
HELP! Laughing
Re: Unable to Upgrade due to broken broken admin panel [message #166743 is a reply to message #166742] Fri, 17 February 2012 03:52 Go to previous messageGo to next message
naudefj is currently offline  naudefj   South Africa
Messages: 3624
Registered: December 2004
Karma: 17
Senior Member
Administrator
Core Developer
remove from buddy list
ignore all messages by this user
Well, it's the same problem, isn't it?
What did you do to get the upgrade script to run?
Re: Unable to Upgrade due to broken broken admin panel [message #166744 is a reply to message #166743] Fri, 17 February 2012 03:55 Go to previous messageGo to next message
pips is currently offline  pips   Ireland
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
naudefj wrote on Fri, 17 February 2012 08:52
Well, it's the same problem, isn't it?
What did you do to get the upgrade script to run?

updated the permissions on the upgrade.php and _Archive files (Via the host ftp) as per your link



We was able to get into the admin panel before but now its coming up as a 500 error on the link


Bit worried about this tbh,
Re: Unable to Upgrade due to broken broken admin panel [message #166745 is a reply to message #166744] Fri, 17 February 2012 04:02 Go to previous messageGo to next message
naudefj is currently offline  naudefj   South Africa
Messages: 3624
Registered: December 2004
Karma: 17
Senior Member
Administrator
Core Developer
remove from buddy list
ignore all messages by this user
The upgrade script replaced some files, you may need to fix their permissions as well.
Re: Unable to Upgrade due to broken broken admin panel [message #166746 is a reply to message #166745] Fri, 17 February 2012 04:03 Go to previous messageGo to next message
pips is currently offline  pips   Ireland
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
naudefj wrote on Fri, 17 February 2012 09:02
The upgrade script replaced some files, you may need to fix their permissions as well.


I'll give it a go...
Re: Unable to Upgrade due to broken broken admin panel [message #166747 is a reply to message #166746] Fri, 17 February 2012 04:05 Go to previous messageGo to next message
pips is currently offline  pips   Ireland
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
Any suggestions which ones?
Re: Unable to Upgrade due to broken broken admin panel [message #166748 is a reply to message #166747] Fri, 17 February 2012 04:18 Go to previous messageGo to next message
pips is currently offline  pips   Ireland
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
Also, during the upgrade, i got this error and have been unable to run the consistancy checker

Quote:
Beginning SQL Upgrades.
Checking if SQL permissions to perform the upgrade are available.
Alter database column salt in table fud30_users.
Drop unused database index fud30_msg_i_ta from table fud30_msg.
Fatal error: Uncaught exception 'Exception' with message '1091: Can't DROP 'fud30_msg_i_ta'; check that column/key exists @ ALTER TABLE fud30_msg DROP INDEX fud30_msg_i_ta' in /vhosts/nomad-forum.com/httpdocs/fudforum/upgrade.php:113 Stack trace: #0 /vhosts/nomad-forum.com/httpdocs/fudforum/data/sql/mysql/db.inc(104): fud_sql_error_handler('ALTER TABLE fud...', 'Can't DROP 'fud...', 1091, '5.0.32-Debian_7...') #1 /vhosts/nomad-forum.com/httpdocs/fudforum/data/include/dbadmin.inc(610): q('ALTER TABLE fud...') #2 /vhosts/nomad-forum.com/httpdocs/fudforum/upgrade.php(917): drop_index('fud30_msg', 'fud30_msg_i_ta') #3 {main} thrown in /vhosts/nomad-forum.com/httpdocs/fudforum/upgrade.php on line 113

[Updated on: Fri, 17 February 2012 04:19]

Report message to a moderator

Re: Unable to Upgrade due to broken broken admin panel [message #166749 is a reply to message #166748] Fri, 17 February 2012 05:17 Go to previous messageGo to next message
pips is currently offline  pips   Ireland
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
Ok, re-ran the upgrade module and that error message didn't return.

We still cant get into the Admin panel though, which is a strange one
All our smileys no longer work as well?

Any further help here?

[Updated on: Fri, 17 February 2012 06:38]

Report message to a moderator

Re: Unable to Upgrade due to broken broken admin panel [message #166750 is a reply to message #166749] Fri, 17 February 2012 07:06 Go to previous messageGo to next message
pips is currently offline  pips   Ireland
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
Ok,

how do i restore to where i came from? and go back to the old forum?


Hlep if you can Ta!
Re: Unable to Upgrade due to broken broken admin panel [message #166752 is a reply to message #166750] Fri, 17 February 2012 08:18 Go to previous messageGo to next message
pips is currently offline  pips   Ireland
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
If anyone can help with this issue, i'd be much appreciative Sad
Re: Unable to Upgrade due to broken broken admin panel [message #166753 is a reply to message #166752] Fri, 17 February 2012 08:43 Go to previous messageGo to next message
The Witcher is currently offline  The Witcher   United States
Messages: 662
Registered: May 2009
Location: USA
Karma: 2
Senior Member
add to buddy list
ignore all messages by this user
pips wrote on Fri, 17 February 2012 07:18
If anyone can help with this issue, i'd be much appreciative Sad

I see its back up and running now!, so is it fixed?


"I'm a Witcher, I solve human problems; not always using a sword!"
Re: Unable to Upgrade due to broken broken admin panel [message #166754 is a reply to message #166753] Fri, 17 February 2012 08:56 Go to previous messageGo to next message
pips is currently offline  pips   Ireland
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
The Witcher wrote on Fri, 17 February 2012 13:43
pips wrote on Fri, 17 February 2012 07:18
If anyone can help with this issue, i'd be much appreciative Sad

I see its back up and running now!, so is it fixed?


Well its working but we cant get into the adm panel.

We keep getting a 500 error.
You can imagine this is a little concerning Laughing


I had a look at the permissions on the FTP site and nothing looks too out of the ordinay (although i don't actually know what i am looking for)
The 500 error obviously means the tarket is correct but i/we can't use it?
Proper stumped and i can't help think its because of the previously borked setup.

Is it possible to clear out all of the forum and start from scratch, yet keep the messages etc?

We ran pretty much stock anyway, except for the smileys and i can redo them.

Would love some further help




Re: Unable to Upgrade due to broken broken admin panel [message #166755 is a reply to message #166729] Fri, 17 February 2012 09:33 Go to previous messageGo to next message
pips is currently offline  pips   Ireland
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
Ok,

Updated some of the permissions in the ftp site (/adm) and was able to get into the admin panel.

I ran a constancy check which came back all ok but now the forum wont load up at all Confused

This is maddening Laughing
Re: Unable to Upgrade due to broken broken admin panel [message #166756 is a reply to message #166755] Fri, 17 February 2012 10:14 Go to previous messageGo to next message
The Witcher is currently offline  The Witcher   United States
Messages: 662
Registered: May 2009
Location: USA
Karma: 2
Senior Member
add to buddy list
ignore all messages by this user
pips wrote on Fri, 17 February 2012 08:33
Ok,

Updated some of the permissions in the ftp site (/adm) and was able to get into the admin panel.

I ran a constancy check which came back all ok but now the forum wont load up at all Confused

This is maddening Laughing
Well apparently we are out of sync because I'm there now!


"I'm a Witcher, I solve human problems; not always using a sword!"
Re: Unable to Upgrade due to broken broken admin panel [message #166757 is a reply to message #166729] Fri, 17 February 2012 16:42 Go to previous messageGo to next message
pips is currently offline  pips
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
Ok, up and running of sorts. Here's what we did.

*Used the ftp site to change the permissions on the upgrade PHP file to get it to run
*Reloaded same to clear errors generated by first pass (using ftp site again)
*lost admin panel, and lots of features in upgrade.
*managed to modify adm folder permissions to allow admin login and run consistency checker again which solved a lot of issues, but locked out admin panel again. Also, I believe a large CPU load from the rejig caused a SQL error for a good hour but then the forum somehow corrected itself and was operational without the admin panel.
*admin panel showed 500 error. After much reading, I realised tbs was a write permissions error on the adm folder, and changed it to a 744 which worked a treat.

Funny enough, the original purpose of Ty his was to fix the gsm which isn't updating the globals files. I'm still wanting this fixed and would appreciate and suggestions.


Thanks for the help as always.
Re: Unable to Upgrade due to broken broken admin panel [message #166758 is a reply to message #166757] Fri, 17 February 2012 17:18 Go to previous messageGo to next message
The Witcher is currently offline  The Witcher   United States
Messages: 662
Registered: May 2009
Location: USA
Karma: 2
Senior Member
add to buddy list
ignore all messages by this user
Well was that all! Laughing

I think I understand, (You used whatever FTP program or function you use to chmod the upgrade file so it could run... worked through some errors and.... now you are back at square 1).

Which is that your globals aren't updating?




"I'm a Witcher, I solve human problems; not always using a sword!"
Re: Unable to Upgrade due to broken broken admin panel [message #166759 is a reply to message #166758] Fri, 17 February 2012 18:44 Go to previous messageGo to next message
pips is currently offline  pips
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
Exactly the same problem.

The GSM is only updating the /adm/Globals.PHP file
And not the Www root/Globals file.

So the ACP is still broken Mad Laughing

Is a path broken here I wonder?
Re: Unable to Upgrade due to broken broken admin panel [message #166760 is a reply to message #166759] Fri, 17 February 2012 18:53 Go to previous messageGo to next message
The Witcher is currently offline  The Witcher   United States
Messages: 662
Registered: May 2009
Location: USA
Karma: 2
Senior Member
add to buddy list
ignore all messages by this user
pips wrote on Fri, 17 February 2012 17:44
Exactly the same problem.

The GSM is only updating the /adm/Globals.PHP file
And not the Www root/Globals file.

So the ACP is still broken Mad Laughing

Is a path broken here I wonder?


Here?


"I'm a Witcher, I solve human problems; not always using a sword!"
Re: Unable to Upgrade due to broken broken admin panel [message #166761 is a reply to message #166760] Fri, 17 February 2012 19:03 Go to previous messageGo to next message
pips is currently offline  pips
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
The Witcher wrote on Fri, 17 February 2012 23:53
pips wrote on Fri, 17 February 2012 17:44
Exactly the same problem.

The GSM is only updating the /adm/Globals.PHP file
And not the Www root/Globals file.

So the ACP is still broken Mad Laughing

Is a path broken here I wonder?


Here?


I mean, why isn't the root globals being updated? I'm wondering if the GSM is looking for it in the wrong place.

Re: Unable to Upgrade due to broken broken admin panel [message #166762 is a reply to message #166761] Fri, 17 February 2012 19:35 Go to previous messageGo to next message
The Witcher is currently offline  The Witcher   United States
Messages: 662
Registered: May 2009
Location: USA
Karma: 2
Senior Member
add to buddy list
ignore all messages by this user
Yours is installed in a subdirectory 'forum" while I install mine directly to the domain, so you might have an extra section to your data root
WWW Root:
This is the URL of your forum.: http://domain.name/

WWW Root (disk path):
The directory where the forum's web browseable files are stored (*.php, images, etc.). : /home/user/domain.name/

(This is where your /adm and Index.php is, it is also where your second globals is)

Data Root:
The directory where the forum's data files are stored (cache, backups, and other data).
/home/user/forum/

(this is where cache, errors, sql etc are)



"I'm a Witcher, I solve human problems; not always using a sword!"
Re: Unable to Upgrade due to broken broken admin panel [message #166763 is a reply to message #166762] Sat, 18 February 2012 03:28 Go to previous messageGo to next message
pips is currently offline  pips
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
The GSM (admglobals.PHP) modifies the values in /adm/globals.PHP
The forum index (index.PHP) reads it's values from /globals.PHP.

Should index.PHP be looking at /adm/globals.PHP instead of /globals.PHP ?



Confused
Re: Unable to Upgrade due to broken broken admin panel [message #166764 is a reply to message #166763] Sat, 18 February 2012 05:40 Go to previous messageGo to next message
The Witcher is currently offline  The Witcher   United States
Messages: 662
Registered: May 2009
Location: USA
Karma: 2
Senior Member
add to buddy list
ignore all messages by this user
I don't think so but don't quote me on that I'm just not that technically proficient!
(I believe the /adm globals are just for when using the admin panel)

I've encountered this problem before but I don't remember how I got there or how I fixed it.....

All I'm trying to do now is nail down the location of your globals in relation to your host specific directory structure and installation, after we've done that we can take the next step and start recreating your forum from scratch and make the updates changes you wanted without damaging your forum!

Next check Mailing List, Newsgroup , XML Aggregation etc for any setting that may be there or that you will need/want to include.

Ensure that you have privileges to create a new subdirectory and database on the host, if not we will work around that.




"I'm a Witcher, I solve human problems; not always using a sword!"
Re: Unable to Upgrade due to broken broken admin panel [message #166776 is a reply to message #166764] Wed, 22 February 2012 00:38 Go to previous messageGo to next message
pips is currently offline  pips   Ireland
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
Hello.

Right, back on this.

After installation of 3.0.3 i have the following issues:


* Front page Paginiation is now off (Admin button is hanging of the page)

* The user edit time limit is not responding to a 0 input (Users unable to edit previous posts)


* Upon running a consistancy, check, the forum locks up for about an hour and then reports back with SQL errors (To many connections) before mysteriously resetting itself.

* Admin Panel is still not updating the root Globals. So, to have any changes implemented, i have to manually overlay /Globals with the adm/Globals

With respect to re-installing a new sub forum, my users are now getting miffed with the changes. So i'd really like to get this forum software running smoothly.

Any suggestions?

Re: Unable to Upgrade due to broken broken admin panel [message #166777 is a reply to message #166776] Wed, 22 February 2012 06:54 Go to previous messageGo to next message
The Witcher is currently offline  The Witcher   United States
Messages: 662
Registered: May 2009
Location: USA
Karma: 2
Senior Member
add to buddy list
ignore all messages by this user
If you installed to a subdomain it should be/show just how your globals path was originally installed wouldn't it? I know it's the biggest hammer approach but it's the only sure way I know without mussing up your forum.

Sure it's a pain and the second install has to be deleted. But it's a small price to pay for the information needed; off hand I'm still guessing this is a host issue.



"I'm a Witcher, I solve human problems; not always using a sword!"
Re: Unable to Upgrade due to broken broken admin panel [message #166778 is a reply to message #166777] Wed, 22 February 2012 07:09 Go to previous messageGo to next message
pips is currently offline  pips   Ireland
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
Ok, Witcher, you are convincing me.

If i install it to a sub-domain, with this disable/mess up the existing forum?
Re: Unable to Upgrade due to broken broken admin panel [message #166779 is a reply to message #166778] Wed, 22 February 2012 08:23 Go to previous messageGo to next message
The Witcher is currently offline  The Witcher   United States
Messages: 662
Registered: May 2009
Location: USA
Karma: 2
Senior Member
add to buddy list
ignore all messages by this user
No! But it will allow you to work without disturbing the others.

Personally I always worry about making a mistake I can't recover from, and with my skill level this is the best way I've found to deal with it until I learn better....

At any rate everything I see so far tells me your problem exists with how you are installed on the host system, so perhaps creating a sub-domain and a temp install might clarify it in your mind what the problem is.

I'd bet dollars to donuts that your host uses a standard c-panel and you are somehow mis-configured on it. I really wish I knew how to tell you to switch it off or correct it but I can't.



"I'm a Witcher, I solve human problems; not always using a sword!"
Re: Unable to Upgrade due to broken broken admin panel [message #166780 is a reply to message #166779] Wed, 22 February 2012 08:36 Go to previous messageGo to next message
pips is currently offline  pips   Ireland
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
The Witcher wrote on Wed, 22 February 2012 13:23
No! But it will allow you to work without disturbing the others.

Personally I always worry about making a mistake I can't recover from, and with my skill level this is the best way I've found to deal with it until I learn better....

At any rate everything I see so far tells me your problem exists with how you are installed on the host system, so perhaps creating a sub-domain and a temp install might clarify it in your mind what the problem is.

I'd bet dollars to donuts that your host uses a standard c-panel and you are somehow mis-configured on it. I really wish I knew how to tell you to switch it off or correct it but I can't.



Could you clarify how we should be set up with the hosts?
I can e-mail them and ask them if we are correctly set up vis-avis your recommendations?
Re: Unable to Upgrade due to broken broken admin panel [message #166781 is a reply to message #166780] Wed, 22 February 2012 09:40 Go to previous messageGo to next message
The Witcher is currently offline  The Witcher   United States
Messages: 662
Registered: May 2009
Location: USA
Karma: 2
Senior Member
add to buddy list
ignore all messages by this user
Clarify? That's a really big question pips, really it is! I've used at least 6 different hosts and everyone has done things somewhat differently!

If you were installed direct to a domain with a standard c-panel I would expect to see a set up like this:
WWW Root: http://Domain.name/
WWW Root (disk path): /home/User/public_html/  NOTE#(public_html = Domain.name in some other hosts )
Data Root: /home/User/FUDforum/

As long as it goes by the hints in the acp it shouldn't be a problem.

Since you are set on a sub-directory of /forum that needs to be added, one thing that may be a problem is the symlink for the global.

I've never had much luck dealing with them, so I hope you understand them.

Your host help should have some info.



"I'm a Witcher, I solve human problems; not always using a sword!"
Re: Unable to Upgrade due to broken broken admin panel [message #166782 is a reply to message #166781] Wed, 22 February 2012 09:54 Go to previous messageGo to previous message
pips is currently offline  pips   Ireland
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
WWW Root: http://www.nomad-forum.com/fudforum/

WWW Root (disk path): /vhosts/nomad-forum.com/httpdocs/fudforum/

Data Root: /vhosts/nomad-forum.com/httpdocs/fudforum/data/


Current URLs from the GSM.

The HTTPDocs looks odd?
Quick Reply
Formatting Tools:   
Pages (2): [1  2    »]  Switch to threaded view of this topic Create a new topic
Previous Topic: Select HTML or FUDcode/BBcode?
Next Topic: Any demo server available with admin access?
Goto Forum:
  

-=] Back to Top [=-
[ Syndicate this forum (XML) ] [ RSS ]

Current Time: Mon Oct 16 18:23:34 EDT 2017

Total time taken to generate the page: 0.01265 seconds